import re
import os
import argparse


def write_dated_tree(input, dated_tree_path):
    file = open(input, 'r')
    content = file.read()
    file.close()
    pattern_tree = re.compile("\(.*?;")
    tree = pattern_tree.findall(content)[0] ## chronogram is the first tree
    tree_file = open(dated_tree_path, 'w')
    tree_file.write(tree)
    tree_file.close()







if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="creates treePL control files")
    parser.add_argument("--input", "-i", help = "r8s output")
    parser.add_argument("--output_dated_tree", "-o", help = "simulation directory")

    args = parser.parse_args()
    dated_tree_path = args.output_dated_tree
    input = args.input



    write_dated_tree(input, dated_tree_path)
