import os
import random

# PBS script format for power
def create_job_format_for_all_jobs(path, job_name, ncpu = 1):
    text = ""
    text += "#!/bin/bash\n\n"
    text += "#PBS -S /bin/bash\n"
    text += "#PBS -r y\n"
    text += "#PBS -q <PUT HERE YOUR QUEUE NAME>\n"
    text += "#PBS -v PBS_O_SHELL=bash,PBS_ENVIRONMENT=PBS_BATCH\n"
    text += "#PBS -N "+ job_name+"\n"
    text += "#PBS -e " + path + "/"+job_name+".ER" + "\n"
    text += "#PBS -o " + path + "/" + job_name +".OU"+ "\n"
    text += "#PBS -l select=ncpus="+ str(ncpu)+ ":mem=2gb\n"
    return text

